## self-service-password 1.4.3

=== docs/requirements.txt ===
sphinx-prompt
sphinxcontrib.openapi

=== debian/changelog ===
self-service-password (1.4.3-2) groovy; urgency=medium

  * Rename sourcer project 

 -- Chris <dpkg@chris-nz.com>  Sat, 10 Jul 2021 17:15:09 +1200

ltb-project-self-service-password (1.4.3-1) unstable; urgency=high

    * gh#516: Docker image does not have sendmail in it
    * gh#517: fix(mail): add sendmail to Docker image
    * gh#520: [Security:high] Reset by SMS can be used to change any account password
    * gh#521: If token was provided by SMS, check initial SMS code before changing password
    * gh#522: [Security:low] Dismiss captcha once it is used

 -- Clement Oudot <clem@ltb-project.org>  Wed, 12 May 2021 12:00:00 +0200

ltb-project-self-service-password (1.4.2-1) unstable; urgency=low

    * gh#504: Cannot use docker get gregwar/captcha----use docker
    * gh#505: fix(captcha): missing gd library
    * gh#506: I have a little problem - I can't use SMS for the next step
    * gh#507: fix(reset)
    * gh#508: fix(undefined)
    * gh#511: Bump phpmailer/phpmailer from 6.3.0 to 6.4.1 in /lib

 -- Clement Oudot <clem@ltb-project.org>  Tue, 04 May 2021 12:00:00 +0200

ltb-project-self-service-password (1.4.1-1) unstable; urgency=low

    * gh#501: Remove extra semicolon from setquestions template
    * gh#502: Remove alt text so empty logo doesn't show 'msg_title' twice

 -- Clement Oudot <clem@ltb-project.org>  Tue, 27 Apr 2021 12:00:00 +0200

ltb-project-self-service-password (1.4-1) unstable; urgency=low

    * gh#52: Docker image
    * gh#109: Use Smarty framework
    * gh#133: Get extended ldap error in case of  "passworderror" from LDAP directory
    * gh#155: Use password modify extended operation
    * gh#156: Use password policy control
    * gh#157: Using ldap_exop_passwd if available (PHP>=7.2)
    * gh#183: Reset questions and answers (Questions/suggestion?)
    * gh#220: Pre Hook script
    * gh#224: SMS OVH provider
    * gh#225: rate-limiting with json files
    * gh#226: Remove annoying warnings
    * gh#229: Add php-curl to prerequisite
    * gh#233: Translated some lines on file pt-BR.inc.php to Brazilian Portuguese
    * gh#238: Provide a way to know the installed version
    * gh#239: Fix in_array() error
    * gh#250: Web Autocomplete
    * gh#251: Add autocomplete settings on form fields (#250)
    * gh#263: phpunit test fail
    * gh#264: add support for password files (aka pathway to docker secrets)
    * gh#270: Added initial Norwegian (nb-NO) translation
    * gh#272: Allowing Email as URL-Parameter
    * gh#273: Non-english characters are being stipped in posthook call
    * gh#274: Add base64 encoding option to passwords in posthook commands
    * gh#275: Create unit test for posthook_command (ltb-project#273)
    * gh#276: Add a configuration option to force locale (ltb-project#273)
    * gh#279: Traditional Chinese Support
    * gh#281: Change password line in conf to single quotes
    * gh#296: add policy: disallow special character at beginning or end
    * gh#299: New policy: Forbidden words
    * gh#300: add specialatends and show policy criticity check, fix german translation
    * gh#301: New policy: Forbidden ldap fields
    * gh#303: add support for setting multiple question/answers.
    * gh#306: feature request: add another password quality check
    * gh#311: Another Captcha than Google Captcha
    * gh#315: Fixed few pronomous
    * gh#318: Improve multiple answers
    * gh#322: add config.inc.local.php in .gitignore
    * gh#327: Configure several LDAP servers and select one depending on context
    * gh#328: Configure several LDAP servers and select one depending on context
    * gh#329: Prefill user login fields with an HTTP header value
    * gh#330: Prefill user login fields with an HTTP header value
    * gh#331: SMS Twilio Integration
    * gh#332: Docker file
    * gh#333: SMS Twilio Integration
    * gh#334: Missing support for sambaKickofftime
    * gh#335: support for sambaKickofftime, issue 334
    * gh#336: Translate Pwned, specialatends and logic
    * gh#340: Update sl.inc.php
    * gh#342: Hide token URLs unless debug mode is on
    * gh#350: address CVE-2019-11043
    * gh#353: prevent variable interpretation when $ in password
    * gh#354: default_action set to sendtoken with use_change set to true, can not use change form
    * gh#355: ltb-project#354 : Can use change tab when default_action not set to
    * gh#356: ltb-project#322 : Add .gitignore for config files
    * gh#359: Show extended LDAP error message after password change was denied
    * gh#360: Improved pt-BR.inc.php with more colloquial form
    * gh#364: obscure_failure_messages configuration parameter broken
    * gh#365: Revert "Fix in_array() error"
    * gh#367: Show LDAP extended error message (ltb-project#359)
    * gh#371: I added a new translation (basque, "eu") and translated 2 lines of span
    * gh#372: Use Smarty framework
    * gh#377: [DOC] php-filter as dependencie
    * gh#381: create centos 8 package
    * gh#382: Expose more PHPMail parameters
    * gh#383: Set SMTPOptions from local configuration
    * gh#389: ADD: Samba synchronization via call to smbpasswd
    * gh#395: Feature enhancements to security question functionality
    * gh#404: consider to move inline resources
    * gh#405: Update jquery to latest, 3.5.1 currently
    * gh#406: Move inline javascript to its own file fixes (#404)
    * gh#407: Upgrade jquery to 3.5.1
    * gh#408: documentation for docker
    * gh#409: LDAP exop password modify
    * gh#410: More work on smarty migration
    * gh#411: Allowing Email as URL-Parameter
    * gh#412: Move documentation in sources
    * gh#413: Update Polish localization
    * gh#415: Fixes units tests
    * gh#416: Prehook - ltb-project/self-service-password#220
    * gh#417: documentation
    * gh#419: Update config_ldap.rst
    * gh#424: Configure cache dir and template cache dir
    * gh#428: Added best practices of autocomplete for password managers
    * gh#429: I18n fr
    * gh#430: feat(diff-check): #306


=== debian/control ===
Source: self-service-password
Section: web
Priority: extra
Maintainer: Clement Oudot <clem@ltb-project.org>
Uploaders: Felix Bartels <felix@host-consultants.de>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.5.0
Homepage: http://ltb-project.org/wiki/documentation/self-service-password

Package: self-service-password
Depends: php8.0|php, php8.0-gd|php-gd, php8.0-ldap|php-ldap, php8.0-mbstring|php-mbstring, smarty3
Architecture: all
Description: LDAP password change web interface
 Self Service Password is a simple PHP application that allows users to change their password on an LDAP directory.
 Self Service Password is provided by LDAP Tool Box project: http://ltb-project.org

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE

%:
	dh $@

override_dh_install:
	dh_install
	debian/replace_cache_dirs

override_dh_fixperms:
	dh_fixperms
	chown www-data:www-data debian/self-service-password/var/cache/self-service-password/cache
	chown www-data:www-data debian/self-service-password/var/cache/self-service-password/templates_c

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%self-service-password-$1.tar.gz%" \
    https://github.com/ltb-project/self-service-password/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
